package com.diaoyun.zion.chinafrica.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户反馈记录表实体
 * 表名 tb_cf_feedback_record
 *
 * @author lipengjun
 * @date 2019-09-21 15:15:23
 */
@ApiModel
public class TbCfFeedbackRecordEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 反馈记录id
     */
    private String recordId;
    /**
     * 反馈用户id
     */
    private String userId;
    /**
     * 反馈问题id
     */
    @ApiModelProperty(value="反馈问题id",name="feedbackId",required = true)
    private String feedbackId;
    /**
     * 反馈填写内容
     */
    @ApiModelProperty(value="反馈填写内容",name="answer",required = true)
    private String answer;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 设置：反馈记录id
     */
    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    /**
     * 获取：反馈记录id
     */
    public String getRecordId() {
        return recordId;
    }
    /**
     * 设置：反馈用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：反馈用户id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：反馈问题id
     */
    public void setFeedbackId(String feedbackId) {
        this.feedbackId = feedbackId;
    }

    /**
     * 获取：反馈问题id
     */
    public String getFeedbackId() {
        return feedbackId;
    }
    /**
     * 设置：反馈填写内容
     */
    public void setAnswer(String answer) {
        this.answer = answer;
    }

    /**
     * 获取：反馈填写内容
     */
    public String getAnswer() {
        return answer;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
}
